package pipelight-multi is not available

Asked by Tim on 2014-11-20

Hi,

I've tried at least four different methods to install pipelight but always end up with the same error... 'package pipelight-multi is not available, but is referred to by another package'.

Googling around I've found pleanty of references to plugin elements missing but nothing relating to pipelight-multi itslef!

Here's what I did, together with the output (although running 'sudo' commands, I am logged into shell as root):

sudo apt-add-repository -y ppa:pipelight/stable

gpg: keyring `/tmp/tmpJUflsE/secring.gpg' created
gpg: keyring `/tmp/tmpJUflsE/pubring.gpg' created
gpg: requesting key 25396B8E from hkp server keyserver.ubuntu.com
gpg: /tmp/tmpJUflsE/trustdb.gpg: trustdb created
gpg: key 25396B8E: public key "Launchpad PPA for Pipelight Dev Team" imported
gpg: Total number processed: 1
gpg: imported: 1 (RSA: 1)
OK

sudo apt-get update

Hit http://ppa.launchpad.net precise Release.gpg
Hit http://ppa.launchpad.net precise Release.gpg
Hit http://ppa.launchpad.net precise Release.gpg
Hit http://ports.ubuntu.com precise Release.gpg
Hit http://ports.ubuntu.com precise-security Release.gpg
Hit http://ports.ubuntu.com precise-updates Release.gpg
Hit http://ports.ubuntu.com precise Release.gpg
Hit http://ports.ubuntu.com precise-security Release.gpg
Hit http://ports.ubuntu.com precise-updates Release.gpg
Hit http://ppa.launchpad.net precise Release
Hit http://ppa.launchpad.net precise Release
Hit http://ports.ubuntu.com precise Release
Hit http://ports.ubuntu.com precise-security Release
Hit http://ports.ubuntu.com precise-updates Release
Hit http://ports.ubuntu.com precise Release
Hit http://ports.ubuntu.com precise-security Release
Hit http://ppa.launchpad.net precise Release
Hit http://ports.ubuntu.com precise-updates Release
Hit http://ppa.launchpad.net precise/main Sources
Hit http://ppa.launchpad.net precise/main armhf Packages
Hit http://ppa.launchpad.net precise/main TranslationIndex
Hit http://ports.ubuntu.com precise/main armhf Packages
Hit http://ppa.launchpad.net precise/main Sources
Hit http://ppa.launchpad.net precise/main armhf Packages
Ign http://ppa.launchpad.net precise/main TranslationIndex
Hit http://ports.ubuntu.com precise/universe armhf Packages
Hit http://ports.ubuntu.com precise/main TranslationIndex
Hit http://ports.ubuntu.com precise/universe TranslationIndex
Hit http://ppa.launchpad.net precise/main Translation-en
Hit http://ports.ubuntu.com precise-security/main armhf Packages
Hit http://ports.ubuntu.com precise-security/universe armhf Packages
Hit http://ports.ubuntu.com precise-security/main TranslationIndex
Hit http://ports.ubuntu.com precise-security/universe TranslationIndex
Hit http://ports.ubuntu.com precise-updates/main armhf Packages
Hit http://ports.ubuntu.com precise-updates/universe armhf Packages
Hit http://ports.ubuntu.com precise-updates/main TranslationIndex
Hit http://ports.ubuntu.com precise-updates/universe TranslationIndex
Hit http://ports.ubuntu.com precise/main armhf Packages
Hit http://ports.ubuntu.com precise/universe armhf Packages
Hit http://ports.ubuntu.com precise/main TranslationIndex
Hit http://ports.ubuntu.com precise/universe TranslationIndex
Hit http://ports.ubuntu.com precise/main Translation-en
Hit http://ports.ubuntu.com precise/universe Translation-en
Hit http://ports.ubuntu.com precise-security/main armhf Packages
Hit http://ports.ubuntu.com precise-security/universe armhf Packages
Hit http://ports.ubuntu.com precise-security/main TranslationIndex
Hit http://ports.ubuntu.com precise-security/universe TranslationIndex
Hit http://ports.ubuntu.com precise-security/main Translation-en
Hit http://ppa.launchpad.net precise/main Sources
Hit http://ports.ubuntu.com precise-security/universe Translation-en
Hit http://ports.ubuntu.com precise-updates/main armhf Packages
Hit http://ports.ubuntu.com precise-updates/universe armhf Packages
Hit http://ports.ubuntu.com precise-updates/main TranslationIndex
Hit http://ports.ubuntu.com precise-updates/universe TranslationIndex
Hit http://ports.ubuntu.com precise-updates/main Translation-en
Hit http://ppa.launchpad.net precise/main armhf Packages
Hit http://ppa.launchpad.net precise/main TranslationIndex
Hit http://ports.ubuntu.com precise-updates/universe Translation-en
Hit http://ports.ubuntu.com precise/main Translation-en
Hit http://ports.ubuntu.com precise/universe Translation-en
Hit http://ports.ubuntu.com precise-security/main Translation-en
Hit http://ports.ubuntu.com precise-security/universe Translation-en
Hit http://ports.ubuntu.com precise-updates/main Translation-en
Hit http://ports.ubuntu.com precise-updates/universe Translation-en
Hit http://ppa.launchpad.net precise/main Translation-en
Ign http://ppa.launchpad.net precise/main Translation-en
Reading package lists... Done

sudo apt-get install -y pipelight-multi

Reading package lists... Done
Building dependency tree
Reading state information... Done
Package pipelight-multi is not available, but is referred to by another package.
This may mean that the package is missing, has been obsoleted, or
is only available from another source

E: Package 'pipelight-multi' has no installation candidate

Any help/guidance would be gratefully received.

Question information

Language:
English Edit question
Status:
Answered
For:
Pipelight Edit question
Assignee:
No assignee Edit question
Last query:
2014-11-20
Last reply:
2014-11-20
Michael Müller (mqchael) said : #1

Hi,

looking at your urls, it seems like you are not using a x86 based computer. Pipelight is not available for other architectures since it requires the original x86 based windows plugins. There is currently some try to use Pipelight using Exagear Desktop on ARM based systems, but it seems like the emulator is still too slow for video playback as long as there is no way to get GPU decoding.

Michael

Can you help with this problem?

Provide an answer of your own, or ask Tim for more information if necessary.

To post a message you must log in.